In dm_create_persistent(), when setting up an existing snapshot, if the valid
bit from the snapshot header is not set, refuse to activate the snapshot.
[Kevin Corry]

--- diff/drivers/md/dm-exception-store.c	2003-03-27 09:40:03.000000000 +0000
+++ source/drivers/md/dm-exception-store.c	2003-03-27 09:40:08.000000000 +0000
@@ -590,6 +590,12 @@
 		/*
 		 * Sanity checks.
 		 */
+		if (!ps->valid) {
+			DMWARN("snapshot is marked invalid");
+			r = -EINVAL;
+			goto bad;
+		}
+
 		if (ps->chunk_size != chunk_size) {
 			DMWARN("chunk size for existing snapshot different "
 			       "from that requested");
